# filter out bogus auto-requires
%global __requires_exclude ^perl\\((the)
%define patch_set 1

Name:		inxi
Version:	3.3.34
Release:	%mkrel 1
License:	GPLv3
Group:		System/Configuration
Summary:	Command line system information script for console and IRC
URL:		https://smxi.org/docs/inxi.htm
Source0:	https://codeberg.org/smxi/inxi/archive/%{version}-%{patch_set}/%{name}-%{version}-%{patch_set}.tar.gz
BuildArch:	noarch
BuildRequires:	gzip

Requires:	glxinfo
Requires:	perl(XML::Dumper)
Recommends:	lm_sensors
Recommends:	hddtemp
Recommends:	usbutils
Recommends:	xrandr
Recommends:	dmidecode

%description
inxi is a command line system information script built for console and IRC.
It is also used for forum technical support, as a debugging tool, to quickly
ascertain user system configuration and hardware.
inxi shows system hardware, CPU, drivers, Xorg, Desktop, kernel, GCC version,
processes, RAM usage, and a wide variety of other useful information.

#-----------------------------------------------------------------------

%package 	konversation
Summary:	Plugin for konversation
Group:		Development/KDE and Qt
BuildRequires:	kf5-macros
Requires:	konversation
Requires:	%{name} >= %{version}-%{release}

%description 	konversation
Plugin to allow %{name} to be easily used in konversation.

#-----------------------------------------------------------------------

%package 	quassel
Summary:	Plugin for quassel
Group:		Development/KDE and Qt
Requires:	quassel
Requires:	%{name} >= %{version}-%{release}

%description 	quassel
Plugin to allow %{name} to be easily used in quassel.

#-----------------------------------------------------------------------

%prep
%autosetup -n %{name}

%build

%install
install -m755 %{name} -D %{buildroot}%{_bindir}/%{name}
install -m644 %{name}.1 -D %{buildroot}%{_mandir}/man1/%{name}.1

mkdir -p %{buildroot}%{_kf5_datadir}/konversation/scripts
pushd %{buildroot}%{_kf5_datadir}/konversation/scripts/
ln -s %{_bindir}/%{name} %{name}
popd

mkdir -p %{buildroot}%{_kf5_datadir}/quassel/scripts
pushd %{buildroot}%{_kf5_datadir}/quassel/scripts/
ln -s %{_bindir}/%{name} %{name}
popd

%files
%doc inxi.changelog README.txt
%{_bindir}/%{name}
%{_mandir}/man?/%{name}*

%files konversation
%{_kf5_datadir}/konversation/scripts/%{name}

%files quassel
%{_kf5_datadir}/quassel/scripts/%{name}


%changelog
* Wed Apr 17 2024 daviddavid <daviddavid> 3.3.34-1.mga10
+ Revision: 2058389
- new version: 3.3.34

* Fri Feb 09 2024 daviddavid <daviddavid> 3.3.33-1.mga10
+ Revision: 2039790
- new version: 3.3.33

* Sat Jan 20 2024 daviddavid <daviddavid> 3.3.31-2.mga10
+ Revision: 2032268
- new version: 3.3.31 patchset 2

* Sun Nov 05 2023 daviddavid <daviddavid> 3.3.31-1.mga10
+ Revision: 2004422
- new version: 3.3.31

* Sun Oct 01 2023 daviddavid <daviddavid> 3.3.30-1.mga10
+ Revision: 1992604
- new version: 3.3.30

* Mon Aug 28 2023 daviddavid <daviddavid> 3.3.29-1.mga10
+ Revision: 1980330
- new version: 3.3.29

* Sun Apr 09 2023 daviddavid <daviddavid> 3.3.26-1.mga9
+ Revision: 1951830
- new version: 3.3.26

* Mon Feb 13 2023 daviddavid <daviddavid> 3.3.25-1.mga9
+ Revision: 1941270
- new version: 3.3.25

* Sat Dec 17 2022 daviddavid <daviddavid> 3.3.24-1.mga9
+ Revision: 1923879
- new version: 3.3.24

* Tue Nov 22 2022 daviddavid <daviddavid> 3.3.23-1.mga9
+ Revision: 1909972
- new version: 3.3.23

* Sat Oct 08 2022 kekepower <kekepower> 3.3.22-1.mga9
+ Revision: 1895553
- Update to version 3.3.22

* Thu Sep 01 2022 papoteur <papoteur> 3.3.21-1.mga9
+ Revision: 1883353
- new 3.3.21

* Mon Mar 21 2022 umeabot <umeabot> 3.3.06-2.mga9
+ Revision: 1814844
- Mageia 9 Mass Rebuild

* Fri Aug 06 2021 luigiwalser <luigiwalser> 3.3.06-1.mga9
+ Revision: 1739940
- 3.3.06

* Sun Apr 18 2021 daviddavid <daviddavid> 3.3.04-1.mga9
+ Revision: 1716473
- new version: 3.3.04

* Sun Mar 21 2021 daviddavid <daviddavid> 3.3.03-1.mga9
+ Revision: 1706670
- new version: 3.3.03

* Thu Feb 25 2021 daviddavid <daviddavid> 3.3.01-1.mga9
+ Revision: 1690672
- new version: 3.3.01

* Tue Dec 22 2020 daviddavid <daviddavid> 3.2.01-1.mga8
+ Revision: 1662881
- new version: 3.2.01

* Sat Dec 19 2020 daviddavid <daviddavid> 3.2.00-1.mga8
+ Revision: 1661090
- new version: 3.2.00

* Wed Dec 02 2020 luigiwalser <luigiwalser> 3.1.09-1.mga8
+ Revision: 1651758
- 3.1.09

* Wed Oct 21 2020 daviddavid <daviddavid> 3.1.08-1.mga8
+ Revision: 1637469
- new version: 3.1.08

* Tue Aug 25 2020 daviddavid <daviddavid> 3.1.06-1.mga8
+ Revision: 1618834
- new version: 3.1.06

* Tue Aug 04 2020 daviddavid <daviddavid> 3.1.05-1.mga8
+ Revision: 1610871
- new version: 3.1.05

* Tue Jun 30 2020 daviddavid <daviddavid> 3.1.04-1.mga8
+ Revision: 1600717
- new version: 3.1.04

* Wed Jun 17 2020 daviddavid <daviddavid> 3.1.03-1.mga8
+ Revision: 1594183
- new version: 3.1.03

* Sun Apr 26 2020 daviddavid <daviddavid> 3.1.00-1.mga8
+ Revision: 1572218
- new version: 3.1.00

* Sat Mar 28 2020 daviddavid <daviddavid> 3.0.38-1.mga8
+ Revision: 1561331
- new version: 3.0.38

* Tue Feb 18 2020 umeabot <umeabot> 3.0.37-2.mga8
+ Revision: 1538804
- Mageia 8 Mass Rebuild

* Wed Nov 27 2019 daviddavid <daviddavid> 3.0.37-1.mga8
+ Revision: 1463113
- new version: 3.0.37

* Mon Aug 19 2019 daviddavid <daviddavid> 3.0.36-1.mga8
+ Revision: 1430212
- new version: 3.0.36

* Wed Jul 17 2019 daviddavid <daviddavid> 3.0.35-1.mga8
+ Revision: 1422034
- new version: 3.0.35

* Sat Jun 29 2019 daviddavid <daviddavid> 3.0.34-1.mga8
+ Revision: 1415864
- new version: 3.0.34

* Tue Apr 09 2019 daviddavid <daviddavid> 3.0.33-1.mga7
+ Revision: 1387292
- new version: 3.0.33

* Mon Feb 11 2019 daviddavid <daviddavid> 3.0.32-1.mga7
+ Revision: 1365246
- new version: 3.0.32

* Thu Feb 07 2019 daviddavid <daviddavid> 3.0.31-1.mga7
+ Revision: 1363771
- new version: 3.0.31

* Mon Dec 31 2018 daviddavid <daviddavid> 3.0.29-1.mga7
+ Revision: 1347409
- new version: 3.0.29

* Mon Nov 19 2018 daviddavid <daviddavid> 3.0.27-1.mga7
+ Revision: 1331726
- new version: 3.0.27

* Mon Oct 08 2018 daviddavid <daviddavid> 3.0.26-1.mga7
+ Revision: 1318705
- new version: 3.0.26

* Thu Sep 20 2018 umeabot <umeabot> 3.0.22-2.mga7
+ Revision: 1278876
- Mageia 7 Mass Rebuild

* Tue Sep 04 2018 daviddavid <daviddavid> 3.0.22-1.mga7
+ Revision: 1257156
- new version: 3.0.22

* Sat Jul 21 2018 daviddavid <daviddavid> 3.0.18-1.mga7
+ Revision: 1244650
- new version: 3.0.18

* Tue Jul 17 2018 daviddavid <daviddavid> 3.0.17-1.mga7
+ Revision: 1243921
- new version: 3.0.17

* Thu Jun 21 2018 daviddavid <daviddavid> 3.0.12-1.mga7
+ Revision: 1238563
- new version: 3.0.12

* Sat May 12 2018 kekepower <kekepower> 3.0.08-2.mga7
+ Revision: 1228422
- Add Requires for perl(XML::Dumper)

* Thu May 10 2018 daviddavid <daviddavid> 3.0.08-1.mga7
+ Revision: 1228031
- new version: 3.0.08

* Sun Apr 22 2018 daviddavid <daviddavid> 3.0.07-2.mga7
+ Revision: 1220985
- filter out bogus auto-requires on perl(the)

* Sun Apr 22 2018 kekepower <kekepower> 3.0.07-1.mga7
+ Revision: 1220916
- Update to version 3.0.07

* Sun Jan 28 2018 daviddavid <daviddavid> 2.3.56-1.mga7
+ Revision: 1197540
- new version: 2.3.56

* Sat Dec 02 2017 daviddavid <daviddavid> 2.3.51-1.mga7
+ Revision: 1180678
- new version: 2.3.51

* Thu Nov 09 2017 daviddavid <daviddavid> 2.3.43-1.mga7
+ Revision: 1176693
- new version: 2.3.43

* Tue Sep 19 2017 daviddavid <daviddavid> 2.3.39-1.mga7
+ Revision: 1155688
- new version: 2.3.39

* Fri Aug 11 2017 daviddavid <daviddavid> 2.3.34-1.mga7
+ Revision: 1139693
- new version: 2.3.34

* Wed Jul 19 2017 daviddavid <daviddavid> 2.3.23-1.mga7
+ Revision: 1124980
- new version: 2.3.23

* Sat Jun 03 2017 akien <akien> 2.3.11-1.mga6
+ Revision: 1105977
- Version 2.3.11

* Sun Jan 29 2017 daviddavid <daviddavid> 2.3.8-1.mga6
+ Revision: 1084109
- new version: 2.3.8

* Sat Dec 10 2016 daviddavid <daviddavid> 2.3.5-1.mga6
+ Revision: 1073989
- new version: 2.3.5

* Sun Nov 06 2016 daviddavid <daviddavid> 2.3.4-1.mga6
+ Revision: 1065550
- new version: 2.3.4

* Fri Oct 28 2016 daviddavid <daviddavid> 2.3.3-1.mga6
+ Revision: 1063830
- new version: 2.3.3

* Mon Aug 29 2016 daviddavid <daviddavid> 2.3.1-1.mga6
+ Revision: 1049393
- new version: 2.3.1

* Thu Aug 11 2016 daviddavid <daviddavid> 2.3.0-3.mga6
+ Revision: 1045528
- add also 'inxi-quassel' sub-package to add '/exec inxi' in quassel commands

* Fri Apr 22 2016 daviddavid <daviddavid> 2.3.0-2.mga6
+ Revision: 1005362
- fix inxi konversation_scripts file path
- replace BR kde4-macros to kf5-macros

* Thu Apr 21 2016 daviddavid <daviddavid> 2.3.0-1.mga6
+ Revision: 1003941
- new version: 2.3.0

* Fri Apr 01 2016 daviddavid <daviddavid> 2.2.38-1.mga6
+ Revision: 997322
- new version: 2.2.38
  * from commit: b8647b9d7307835ba1302b3d38472249d0194523
  * from date: 2016-04-01

* Fri Mar 04 2016 daviddavid <daviddavid> 2.2.35-1.mga6
+ Revision: 985733
- new version: 2.2.35
  * from commit: 8a3c62c6ef9edaf50252a0c8f28b38291064249d
  * from date: 2016-02-29

* Mon Feb 15 2016 daviddavid <daviddavid> 2.2.33-1.mga6
+ Revision: 961115
- new version: 2.2.33
  * from commit: 7c2e7de43f4334b2bbf6df2a10beef1e1cc9cabf
  * from date: 2016-02-09
- new upstream URL
- add docs

* Sun Jul 19 2015 sander85 <sander85> 2.2.26-1.mga6
+ Revision: 855462
- New version: 2.2.26

* Wed Oct 15 2014 umeabot <umeabot> 2.1.96-3.mga5
+ Revision: 750606
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.96-2.mga5
+ Revision: 680527
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Aug 15 2014 dams <dams> 2.1.96-1.mga5
+ Revision: 662643
- new version 2.1.96

* Wed Jul 02 2014 dams <dams> 2.1.28-1.mga5
+ Revision: 642143
- new version 2.1.28

* Fri May 02 2014 dams <dams> 2.1.27-1.mga5
+ Revision: 619705
- new version 2.1.27

* Mon Apr 28 2014 dams <dams> 2.1.23-1.mga5
+ Revision: 618641
- new version 2.1.23

* Mon Apr 07 2014 dams <dams> 2.1.19-1.mga5
+ Revision: 612647
- new version 2.1.19

* Fri Apr 04 2014 dams <dams> 2.1.17-1.mga5
+ Revision: 611685
- new version 2.1.17

* Wed Apr 02 2014 dams <dams> 2.1.15-1.mga5
+ Revision: 611237
- new version 2.1.15

* Thu Mar 20 2014 dams <dams> 2.1.7-1.mga5
+ Revision: 605961
- new version 2.1.7

* Wed Mar 12 2014 dams <dams> 1.9.19-1.mga5
+ Revision: 602645
- new version 1.9.19

* Tue Feb 04 2014 dams <dams> 1.9.18-1.mga5
+ Revision: 581102
- new version 1.9.18

* Mon Dec 23 2013 dams <dams> 1.9.17-1.mga4
+ Revision: 560062
- new version 1.9.17 (fixes GNOME version detection as gnome-about was removed)

* Mon Oct 21 2013 umeabot <umeabot> 1.9.16-2.mga4
+ Revision: 539575
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 dams <dams> 1.9.16-1.mga4
+ Revision: 492456
- new version 1.9.16

* Tue Oct 01 2013 dams <dams> 1.9.14-2.mga4
+ Revision: 490000
+ rebuild (emptylog)

* Mon Aug 26 2013 dams <dams> 1.9.14-1.mga4
+ Revision: 471948
- new version 1.9.14

* Wed Jul 24 2013 dams <dams> 1.9.12-1.mga4
+ Revision: 457624
- new version 1.9.12

* Tue Jun 25 2013 dams <dams> 1.9.11-1.mga4
+ Revision: 446496
- new version 1.9.11

* Wed Jun 12 2013 dams <dams> 1.9.7-1.mga4
+ Revision: 442079
- new version 1.9.7

* Sun May 26 2013 dams <dams> 1.9.6-1.mga4
+ Revision: 427802
- new version 1.9.6

* Wed Mar 06 2013 dams <dams> 1.8.45-1.mga3
+ Revision: 401589
- new version 1.8.45

* Wed Jan 23 2013 fwang <fwang> 1.8.24-3.mga3
+ Revision: 391467
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 1.8.24-2.mga3
+ Revision: 354430
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 dams <dams> 1.8.24-1.mga3
+ Revision: 327306
- new version 1.8.24

* Tue Nov 20 2012 dams <dams> 1.8.23-1.mga3
+ Revision: 319741
- new version 1.8.23

* Sun Nov 18 2012 dams <dams> 1.8.22-1.mga3
+ Revision: 319392
- new version 1.8.22

* Thu Nov 15 2012 dams <dams> 1.8.21-1.mga3
+ Revision: 318182
- new version 1.8.21

* Mon Oct 22 2012 dams <dams> 1.8.20-3.mga3
+ Revision: 309187
- fix Suggests for 'lsusb'

* Mon Oct 22 2012 dams <dams> 1.8.20-2.mga3
+ Revision: 309174
- update Suggests (xrandr & lsusb)

* Mon Oct 22 2012 dams <dams> 1.8.20-1.mga3
+ Revision: 309169
- new version 1.8.20

* Wed Aug 08 2012 dams <dams> 1.8.14-1.mga3
+ Revision: 279982
- new version 1.8.14

* Thu Jul 19 2012 dams <dams> 1.8.13-5.mga3
+ Revision: 272595
- add 'glxinfo' as a require

* Wed Jul 18 2012 dams <dams> 1.8.13-4.mga3
+ Revision: 272311
- add 'inxi-konversation' sub-package to add '/inxi' in konversation commands

* Wed Jul 18 2012 dams <dams> 1.8.13-3.mga3
+ Revision: 272307
- add 'hddtemp' and 'lm_sensors' as suggests

* Thu Jul 12 2012 dams <dams> 1.8.13-2.mga3
+ Revision: 270441
- fix typo in %%description (spotted by leuhmanu)
- fix man page (.gz in source file)

* Thu Jul 12 2012 dams <dams> 1.8.13-1.mga3
+ Revision: 270428
- imported package inxi

